import request from '@/utils/request'

// list
export function getEnterpriseList(query) {
	return request({
		url: '/shian/enterprise/list',
		method: 'get',
		params: query
	})
}

// export
export function exportEnterprise(query) {
	return request({
		url: '/shian/enterprise/export',
		method: 'get',
		params: query
	})
}

// DELETE
export function deleteEnterprise(ids) {
	return request({
		url: `/shian/enterprise/${ids}`,
		method: 'DELETE'
	})
}

// info
export function getinfo(id) {
	return request({
		url: `/shian/enterprise/${id}`,
		method: 'get'
	})
}

// add
export function addEnterprise(data) {
	return request({
		url: '/shian/enterprise',
		method: 'post',
		data
	})
}

// update
export function updataEnterprise(data) {
	return request({
		url: '/shian/enterprise',
		method: 'put',
		data
	})
}
